Name: mysql
Version: 3.23.24
Release: 1cz1
Source0: http://www.mysql.com/Downloads/MySQL-3.23/mysql-%{version}-beta.tar.gz
Source1: mysql.init
Source2: mysql.logrotate
Source3: safe_mysqld
Patch0: mysql-allcharset.patch
URL: http://www.mysql.com
BuildRoot: %{_tmppath}/mysql-%{version}-root
Summary: MySQL client program and shared library.
Summary(cs): Klientsk programy a sdlen knihovny pro MySQL.
License: GPL/LGPL
Group: Applications/Databases
Group(cs): Aplikace/Databze
Packager: Milan Kerslager <kerslage@linux.cz>
Prereq: /sbin/ldconfig, /sbin/install-info, grep
ExcludeArch: ia64 sparc

%description
MySQL is a multi-user, multi-threaded SQL database server.  SQL is
the most popular database language in the world.  MySQL is a client/server
implementation that consists of a server daemon mysqld and many different
client programs and libraries.  This package contains the MySQL client
programs, the client shared library, and generic MySQL files.

%description -l cs
Mysql je SQL (Structured Query Language) multithreadov databzov
server. MySQL je klient/server implementace, kter se zakld na
serverovm dmonu (mysqld) a mnoha rozdlnch klientech a knihovnch,
kter se k nmu pipojuj. Balek obsahuje klientsk programy,
klientsk sdlen knihovny a obecn soubory pro MySQL.

%package server

Summary: MySQL server.
Summary(cs): MySQL server.
License: GPL
Group: Applications/Databases
Group(cs): Aplikace/Databze
Prereq: /sbin/chkconfig, /usr/sbin/useradd, /usr/sbin/userdel
Requires: mysql = %{version}

%description server
MySQL is a true multi-user, multi-threaded SQL database server.  SQL is
the most popular database language in the world.  MySQL is a client/server
implementation that consists of a server daemon mysqld and many different
client programs and libraries.  This package contains the MySQL server and
some accompanying files and directories.

%description -l cs server
Mysql je SQL (Structured Query Language) multithreadov databzov
server. MySQL je klient/server implementace, kter se zakld na
serverovm dmonu (mysqld) a mnoha rozdlnch klientech a knihovnch,
kter se k nmu pipojuj. Tento balek obsahuje MySQL server a
nkter dal potebn soubory a adrese.

%package devel

Summary: MySQL devel.
Summary(cs): Soubory pro vvoj aplikac pracujcch s MySQL serverem.
License: LGPL
Group: Applications/Databases
Group(cs): Aplikace/Databze
Requires: %{name} = %{version}

%description devel
MySQL is a true multi-user, multi-threaded SQL database server.  SQL is
the most popular database language in the world.  MySQL is a client/server
implementation that consists of a server daemon mysqld and many different
client programs and libraries.  This package contains the libraries and
header files that are needed for developing your own MySQL applications.

%description -l cs devel
Mysql je SQL (Structured Query Language) multithreadov databzov
server. MySQL je klient/server implementace, kter se zakld na
serverovm dmonu (mysqld) a mnoha rozdlnch klientech a knihovnch,
kter se k nmu pipojuj. Balek obsahuje knihovny a hlavikov
soubory potebn pro vvoj aplikac, kter pracuj s MySQL serverem.

%prep
%setup -q -n mysql-%{version}-beta
%patch -p1 -b .allcharset

%build

%configure --without-debug \
	--without-readline \
	--enable-shared \
	--with-charset=czech \
	--with-extra-charsets=complex \
	--without-bench \
	--localstatedir=/var/lib/mysql \
	--with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--enable-assembler \
	--with-mysqld-user="mysql"

#	--with-mysqld-ldflags=-all-static 

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/usr/bin/safe_mysqld

# List the installed tree for RPM package maintenance purposes.
find $RPM_BUILD_ROOT -print | sed "s|^$RPM_BUILD_ROOT||" | sort > ROOTFILES
gzip $RPM_BUILD_ROOT/%{_infodir}/*
rm -f $RPM_BUILD_ROOT/usr/share/mysql/mysql-*.spec
rm -f $RPM_BUILD_ROOT/usr/share/mysql/mysql-log-rotate


mkdir -p $RPM_BUILD_ROOT/etc/{rc.d/init.d,logrotate.d}
install -m 0755 -d $RPM_BUILD_ROOT/var/lib/mysql
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/mysqld
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/mysqld
touch $RPM_BUILD_ROOT/etc/my.cnf
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir*

%clean
rm -rf $RPM_BUILD_ROOT

%pre server
/usr/sbin/useradd -M -o -r -d /var/lib/mysql -s /bin/bash \
	-c "MySQL Server" -u 27 mysql > /dev/null 2>&1 || :

%post
/sbin/install-info %{_infodir}/mysql.info.gz %{_infodir}/dir
if ! grep '^/usr/lib/mysql$' /etc/ld.so.conf > /dev/null 2>&1
then
	echo "/usr/lib/mysql" >> /etc/ld.so.conf
fi
/sbin/ldconfig /usr/lib/mysql

%post server
if [ $1 = 1 ]; then
    /sbin/chkconfig --add mysqld
fi


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/mysql.info.gz %{_infodir}/dir
fi

%preun server
if [ $1 = 0 ]; then
    /sbin/chkconfig --del mysqld
fi

%postun
if [ $1 = 0 ] ; then
    if grep '^/usr/lib/mysql$' /etc/ld.so.conf > /dev/null 2>&1
    then
	grep -v '^/usr/lib/mysql$' /etc/ld.so.conf \
	    > /etc/ld.so.conf.$$ 2> /dev/null
	mv /etc/ld.so.conf.$$ /etc/ld.so.conf
    fi
    /sbin/ldconfig /usr/lib/mysql
fi

%postun server
if [ $1 = 0 ] ; then
	/usr/sbin/userdel mysql > /dev/null 2>&1 || : 
fi
if [ $1 -ge 1 ]; then
    /sbin/service mysqld condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root)
%doc INSTALL* PUBLIC README COPYING* 
%doc Docs/manual* Docs/mysqld_error.txt

# /usr/bin/* except mysqladmin and safe_mysqld
/usr/bin/[a-ln-rt-z]*
/usr/bin/msql2mysql
/usr/bin/mysql
/usr/bin/mysql_*
/usr/bin/mysqlaccess
/usr/bin/mysql[b-z]*
/usr/bin/my_*
/usr/bin/myisam*

%{_infodir}/*
%{_mandir}/man1/*
%dir /usr/lib/mysql
/usr/lib/mysql/libmysqlclient*.so.*

%dir /usr/share/mysql
/usr/share/mysql/*

%config /etc/my.cnf

%files server
%defattr(-,root,root)
/usr/bin/mysqladmin
/usr/bin/safe_mysqld
/usr/libexec/*

%config /etc/rc.d/init.d/mysqld
%config /etc/logrotate.d/mysqld
%attr(0755,mysql,mysql) %dir /var/lib/mysql

%files devel
%defattr(-,root,root)
/usr/include/mysql
%dir /usr/lib/mysql
/usr/lib/mysql/*.a
/usr/lib/mysql/libmysqlclient*.so

%changelog
* Mon Dec  4 2000 Milan Kerslager <kerslage@linux.cz>
- option --with-charset=czech added
- DEFINE_ALL_CHARACTER_SETS (by patch)

* Thu Sep 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rename config file to /etc/my.cnf, which is what
  mysqld wants... doh. (#17432)
- include a changed safe_mysqld, so the pid file option
  works. 
- make mysql dir world readable to they can access the 
  mysql socket. (#17432)
- 3.23.24

* Wed Sep 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 3.23.23

* Sun Aug 27 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Add "|| :" to condrestart to avoid non-zero exit code

* Thu Aug 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- it's mysql.com, not mysql.org and use correct path to 
  source (#16830)

* Wed Aug 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- source file from /etc/rc.d, not /etc/rd.d. Doh.

* Sun Aug 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't run ldconfig -n, it doesn't update ld.so.cache
  (#16034)
- include some missing binaries
- use safe_mysqld to start the server (request from
  mysql developers)

* Sat Aug 05 2000 Bill Nottingham <notting@redhat.com>
- condrestart fixes

* Mon Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 3.23.22. Disable the old patches, they're now in.

* Thu Jul 27 2000 Trond Eivind Glomsrd <teg@redhat.com>
- bugfixes in the initscript
- move the .so link to the devel package

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild due to glibc changes

* Tue Jul 18 2000 Trond Eivind Glomsrd <teg@redhat.com>
- disable compiler patch
- don't include info directory file

* Mon Jul 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- move back to /etc/rc.d/init.d

* Fri Jul 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- more cleanups in initscript

* Thu Jul 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add a patch to work around compiler bug 
  (from monty@mysql.com) 

* Wed Jul 12 2000 Trond Eivind Glomsrd <teg@redhat.com>
- don't build the SQL daemon statically (glibc problems)
- fix the logrotate script - only flush log if mysql
  is running
- change the reloading procedure 
- remove icon - glint is obsolete a long time ago

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- try the new compiler again
- build the SQL daemon statically
- add compile time support for complex charsets
- enable assembler
- more cleanups in initscript

* Sun Jul 09 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use old C++ compiler
- Exclusivearch x86

* Sat Jul 08 2000 Trond Eivind Glomsrd <teg@redhat.com>
- move .so files to devel package
- more cleanups
- exclude sparc for now

* Wed Jul 05 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 3.23.21
- remove file from /etc/sysconfig
- Fix initscript a bit - initialization of databases doesn't
  work yet
- specify the correct licenses
- include a /etc/my.conf (empty, FTTB)
- add conditional restart to spec file

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- update to 3.23.20
- use %%configure, %%makeinstall, %%{_tmppath}, %%{_mandir},
  %%{_infodir}, /etc/init.d
- remove the bench package
- change some of the descriptions a little bit
- fix the init script
- some compile fixes
- specify mysql user
- use mysql uid 27 (postgresql is 26)
- don't build on ia64

* Sat Feb 26 2000 Jos Vos <jos@xos.nl>
- Version 3.22.32 release XOS.1 for LinuX/OS 1.8.0
- Upgrade from version 3.22.27 to 3.22.32.
- Do "make install" instead of "make install-strip", because "install -s"
  now appears to fail on various scripts.  Afterwards, strip manually.
- Reorganize subpackages, according to common Red Hat packages: the client
  program and shared library become the base package and the server and
  some accompanying files are now in a separate server package.  The
  server package implicitly requires the base package (shared library),
  but we have added a manual require tag anyway (because of the shared
  config file, and more).
- Rename the mysql-benchmark subpackage to mysql-bench.

* Mon Jan 31 2000 Jos Vos <jos@xos.nl>
- Version 3.22.27 release XOS.2 for LinuX/OS 1.7.1
- Add post(un)install scripts for updating ld.so.conf (client subpackage).

* Sun Nov 21 1999 Jos Vos <jos@xos.nl>
- Version 3.22.27 release XOS.1 for LinuX/OS 1.7.0
- Initial version.
- Some ideas borrowed from Red Hat Powertools 6.1, although this spec
  file is a full rewrite from scratch.
